Skip to main content
PUT
Update a case

Authorizations

Authorization
string
header
required

Use your API key as the username. No password is required.

Path Parameters

case_id
string
required

Body

application/json

Case data for creating a new case.

cardholder
object
required

Details of the cardholder.

dispute
object
required

Dispute details for the case.

merchant
object
required

Details of the merchant.

transaction
object
required

Details of the disputed transaction.

case_id
string | null

Optional unique identifier for the case. If not provided, one will be generated automatically.

Maximum string length: 126
Example:

"case_abc123"

custom_fields
object

Custom key-value pairs for storing additional data with your cases. See Custom Fields documentation for more details.

dispute_evidence
canceled_or_returned · object

Evidence for the dispute. Send exactly one object, named after dispute.reason. Each object only accepts the evidence fields relevant to that reason. See Dispute Types.

program_id
string | null

Your unique identifier for the card program the case belongs to.

Maximum string length: 126
Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Returns the updated case.

cardholder
object

Details of the cardholder.

case_id
string

Unique identifier for the case.

Example:

"case_abc123"

created
string<date-time>

When the case was created. ISO 8601 format.

Example:

"2026-04-01T00:00:00.000Z"

custom_fields
object

Custom key-value pairs for storing additional data with your cases. See Custom Fields documentation for more details.

dispute
object

Dispute details for the case.

dispute_evidence
canceled_or_returned · object

Evidence for the dispute. Send exactly one object, named after dispute.reason. Each object only accepts the evidence fields relevant to that reason. See Dispute Types.

merchant
object

Details of the merchant.

program_id
string | null

Your unique identifier for the card program the case belongs to.

Maximum string length: 126
Example:

"550e8400-e29b-41d4-a716-446655440000"

resolution_due_date
string<date-time> | null

The deadline by which the case must be resolved. Read-only. ISO 8601 format.

Example:

"2026-07-01T00:00:00.000Z"

review_status
enum<string> | null

Set when the case needs manual review before Decisionly can proceed. null if no review is needed. A matching case.chargeback_needs_review or case.representment_needs_review event is sent when this is set. Read-only.

Available options:
chargeback_needs_review,
representment_needs_review
Example:

null

status
enum<string>

The status of the case.

Available options:
created,
chargeback_filed,
chargeback_represented,
prearb_received,
prearb_filed,
prearb_rebutted,
arbitration_filed,
won,
lost,
accepted,
rejected,
expired,
withdrawn,
merchant_credited,
merchant_credited_and_recovered
Example:

"created"

transaction
object

Details of the disputed transaction.